- [HTTP request](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings/get#body.request_body)
- [Response body](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings/get#try-it)

Gets details of a single Binding.

### HTTP request

`GET https://agentregistry.googleapis.com/v1/{name=projects/*/locations/*/bindings/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the Binding. Format: `projects/{project}/locations/{location}/bindings/{binding}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.bindings#Binding`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/agentregistry.read-write`
- `https://www.googleapis.com/auth/agentregistry.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `agentregistry.bindings.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).